CVE-2023-46228

CVSS 3.1 Score 7.8 of 10 (high)

Details

Published Oct 19, 2023
Updated: Oct 25, 2023
CWE ID 190

Summary

CVE-2023-46228 is a vulnerability that affects multiple products, including zchunk versions before 1.3.2. The vulnerability is caused by integer overflows in the lib/comp/comp.c, lib/comp/zstd/zstd.c, lib/dl/multipart.c, or lib/header.c files when processing malformed zchunk files. The risk score is 26, indicating a high level of danger. The base severity is rated as high with a score of 7.8 according to NIST. The potential impact includes high integrity and confidentiality impacts, with a required user interaction for exploitation. The recommended remediation is to update to zchunk version 1.3.2 or newer to mitigate the vulnerability and reduce the potential risk to organizations using the affected products.

Note: This summary is based on the provided information and does not include any additional analysis since none was provided in the original text.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-46228 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options